--- old/usr/src/lib/Makefile	Wed Jan 24 21:49:12 2018
+++ new/usr/src/lib/Makefile	Wed Jan 24 21:49:12 2018
@@ -74,6 +74,7 @@
 	crypt_modules	\
 	extendedFILE	\
 	fm		\
+	fru		\
 	getloginx	\
 	gss_mechs/mech_dh	\
 	gss_mechs/mech_dummy	\
@@ -127,8 +128,6 @@
 	libfakekernel	\
 	libfcoe		\
 	libficl		\
-	libfru		\
-	libfruutils	\
 	libfsmgt	\
 	libfstyp	\
 	libgen		\
@@ -368,6 +367,7 @@
 	../cmd/sendmail/libmilter	\
 	auditd_plugins	\
 	fm		\
+	fru		\
 	hal		\
 	hbaapi		\
 	libads		\
@@ -401,7 +401,6 @@
 	libeti		\
 	libfakekernel	\
 	libfcoe		\
-	libfru		\
 	libfstyp	\
 	libgen		\
 	libgrubmgmt	\
@@ -579,6 +578,7 @@
 fm:		libexacct libipmi libzfs scsi libdevinfo libdevid libcfgadm \
 		libcontract libsysevent ../cmd/sgs/libelf libdladm
 $(SPARC_BLD)fm:	libpri
+$(SPARC_BLD)fru: libpicl
 gss_mechs/mech_dh: libgss
 gss_mechs/mech_dummy: libgss
 gss_mechs/mech_krb5: libgss libresolv2 pkcs11 libkstat
@@ -615,7 +615,6 @@
 libfakekernel:	libumem libcryptoutil
 libfcoe:	libdladm
 libficl:	libuuid libumem
-libfru:		libfruutils
 libfsmgt:	libkstat
 libgrubmgmt:	libdevinfo libzfs libfstyp libefi
 $(INTEL_BLD)libgrubmgmt: libfdisk
@@ -697,7 +696,7 @@
 raidcfg_plugins: libraidcfg librcm libcfgadm libpicl libpicltree
 rpcsec_gss:	libgss
 sasl_plugins:	pkcs11 libgss libsasl
-scsi:		libfru libumem libdevid libdevinfo
+scsi:		fru libumem libdevid libdevinfo
 smbsrv:		libxnet libpthread librt libshare libidmap pkcs11 libsqlite \
 		libcryptoutil libreparse libcmdutils libresolv2 libsmbfs \
 		libuuid libfakekernel libads libgss libldap5 krb5
--- /dev/null	Wed Jan 24 21:49:13 2018
+++ new/usr/src/lib/fru/libfru/i386/Makefile	Wed Jan 24 21:49:13 2018
@@ -0,0 +1,29 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+
+install:	all $(ROOTLIBSCCC) $(ROOTLINKSCCC)
--- /dev/null	Wed Jan 24 21:49:13 2018
+++ new/usr/src/lib/fru/libfru/sparc/Makefile	Wed Jan 24 21:49:13 2018
@@ -0,0 +1,30 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2000-2001 by Sun Microsystems, Inc.
+# All rights reserved.
+#
+
+include		../Makefile.com
+
+install:	all $(ROOTLIBSCCC) $(ROOTLINKSCCC)
--- /dev/null	Wed Jan 24 21:49:13 2018
+++ new/usr/src/lib/fru/libfru/sparcv9/Makefile	Wed Jan 24 21:49:13 2018
@@ -0,0 +1,30 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+include		$(SRC)/lib/Makefile.lib.64
+
+install:	all $(ROOTLIBSCCC64) $(ROOTLINKSCCC64)
--- /dev/null	Wed Jan 24 21:49:13 2018
+++ new/usr/src/lib/fru/libfrupicl/Makefile.com	Wed Jan 24 21:49:13 2018
@@ -0,0 +1,56 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+LIBRARY=	libfrupicl.a
+VERS=		.1
+
+OBJECTS=	frupicl.o
+
+include		$(SRC)/lib/Makefile.lib
+
+LIBS=		$(DYNLIB)
+
+MAPFILES=
+
+CFLAGS +=	$(CCVERBOSE)
+
+CPPFLAGS += 	-D_REENTRANT
+CPPFLAGS +=	-I..
+CPPFLAGS +=	-I$(SRC)/lib/fru/libfru
+CPPFLAGS +=	-I$(SRC)/lib/fru/libfruutils
+CPPFLAGS +=	-I$(SRC)/lib/libpicl
+CPPFLAGS +=	-I$(SRC)/cmd/picl/plugins/inc
+CPPFLAGS +=	-I$(SRC)/cmd/picl/plugins/sun4u/frudata
+
+LDLIBS +=	-lc -lpicl -lfruutils -lfru
+
+.KEEP_STATE:
+
+all:		$(LIBS)
+
+lint:		lintcheck
+
+include		$(SRC)/lib/Makefile.targ
--- /dev/null	Wed Jan 24 21:49:13 2018
+++ new/usr/src/lib/fru/libfrupicltree/Makefile.com	Wed Jan 24 21:49:13 2018
@@ -0,0 +1,56 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+LIBRARY=	libfrupicltree.a
+VERS=		.1
+
+OBJECTS=	frupicltree.o
+
+include		$(SRC)/lib/Makefile.lib
+
+LIBS=		$(DYNLIB)
+
+MAPFILES=
+
+CFLAGS +=	$(CCVERBOSE)
+
+CPPFLAGS += 	-D_REENTRANT
+CPPFLAGS +=	-I..
+CPPFLAGS +=	-I$(SRC)/lib/fru/libfru
+CPPFLAGS +=	-I$(SRC)/lib/fru/libfruutils
+CPPFLAGS +=	-I$(SRC)/lib/libpicl
+CPPFLAGS +=	-I$(SRC)/cmd/picl/plugins/inc
+CPPFLAGS +=	-I$(SRC)/cmd/picl/plugins/sun4u/frudata
+
+LDLIBS +=       -lc -lpicltree -lfruutils -lfru
+
+.KEEP_STATE:
+
+all:		$(LIBS)
+
+lint:		lintcheck
+
+include		$(SRC)/lib/Makefile.targ
--- /dev/null	Wed Jan 24 21:49:14 2018
+++ new/usr/src/lib/fru/libfrupicltree/sparc/Makefile	Wed Jan 24 21:49:14 2018
@@ -0,0 +1,30 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2000-2001 by Sun Microsystems, Inc.
+# All rights reserved.
+#
+
+include		../Makefile.com
+
+install:	all $(ROOTLIBS) $(ROOTLINKS)
--- /dev/null	Wed Jan 24 21:49:14 2018
+++ new/usr/src/lib/fru/libfruraw/amd64/Makefile	Wed Jan 24 21:49:14 2018
@@ -0,0 +1,30 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+include		$(SRC)/lib/Makefile.lib.64
+
+install:	all $(ROOTLIBS64) $(ROOTLINKS64)
--- /dev/null	Wed Jan 24 21:49:14 2018
+++ new/usr/src/lib/fru/libfruraw/i386/Makefile	Wed Jan 24 21:49:14 2018
@@ -0,0 +1,29 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+
+install:	all $(ROOTLIBS) $(ROOTLINKS)
--- /dev/null	Wed Jan 24 21:49:14 2018
+++ new/usr/src/lib/fru/libfruraw/sparc/Makefile	Wed Jan 24 21:49:14 2018
@@ -0,0 +1,29 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+
+install:	all $(ROOTLIBS) $(ROOTLINKS)
--- /dev/null	Wed Jan 24 21:49:14 2018
+++ new/usr/src/lib/fru/libfruraw/sparcv9/Makefile	Wed Jan 24 21:49:14 2018
@@ -0,0 +1,30 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+include		$(SRC)/lib/Makefile.lib.64
+
+install:	all $(ROOTLIBS64) $(ROOTLINKS64)
--- /dev/null	Wed Jan 24 21:49:14 2018
+++ new/usr/src/lib/fru/libfrureg/amd64/Makefile	Wed Jan 24 21:49:14 2018
@@ -0,0 +1,30 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+include		$(SRC)/lib/Makefile.lib.64
+
+install:	all $(ROOTLIBS64) $(ROOTLINKS64)
--- /dev/null	Wed Jan 24 21:49:15 2018
+++ new/usr/src/lib/fru/libfrureg/i386/Makefile	Wed Jan 24 21:49:15 2018
@@ -0,0 +1,29 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+
+install:	all $(ROOTLIBS) $(ROOTLINKS)
--- /dev/null	Wed Jan 24 21:49:15 2018
+++ new/usr/src/lib/fru/libfrureg/sparc/Makefile	Wed Jan 24 21:49:15 2018
@@ -0,0 +1,30 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2000-2001 by Sun Microsystems, Inc.
+# All rights reserved.
+#
+
+include		../Makefile.com
+
+install:	all $(ROOTLIBS) $(ROOTLINKS)
--- /dev/null	Wed Jan 24 21:49:15 2018
+++ new/usr/src/lib/fru/libfrureg/sparcv9/Makefile	Wed Jan 24 21:49:15 2018
@@ -0,0 +1,31 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2000-2001 by Sun Microsystems, Inc.
+# All rights reserved.
+#
+
+include		../Makefile.com
+include		$(SRC)/lib/Makefile.lib.64
+
+install:	all $(ROOTLIBS64) $(ROOTLINKS64)
--- /dev/null	Wed Jan 24 21:49:15 2018
+++ new/usr/src/lib/fru/libfruutils/Makefile	Wed Jan 24 21:49:15 2018
@@ -0,0 +1,46 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2000 by Sun Microsystems, Inc.
+# All rights reserved.
+#
+
+include		$(SRC)/lib/Makefile.lib
+
+SUBDIRS=	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
+
+all :=		TARGET= all
+install :=	TARGET= install
+clean :=	TARGET= clean
+clobber :=	TARGET= clobber
+lint :=		TARGET= lint
+
+.KEEP_STATE:
+
+all install clean clobber lint: $(SUBDIRS)
+
+$(SUBDIRS):	FRC
+		@cd $@; pwd; $(MAKE) $(TARGET)
+
+FRC:
--- /dev/null	Wed Jan 24 21:49:15 2018
+++ new/usr/src/lib/fru/libfruutils/amd64/Makefile	Wed Jan 24 21:49:15 2018
@@ -0,0 +1,30 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+include		$(SRC)/lib/Makefile.lib.64
+
+install:	all $(ROOTLIBS64) $(ROOTLINKS64)
--- /dev/null	Wed Jan 24 21:49:15 2018
+++ new/usr/src/lib/fru/libfruutils/i386/Makefile	Wed Jan 24 21:49:15 2018
@@ -0,0 +1,29 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+
+install:	all $(ROOTLIBS) $(ROOTLINKS)
--- /dev/null	Wed Jan 24 21:49:15 2018
+++ new/usr/src/lib/fru/libnvfru/i386/Makefile	Wed Jan 24 21:49:15 2018
@@ -0,0 +1,29 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+
+install:	all $(ROOTLIBS) $(ROOTLINKS)
--- /dev/null	Wed Jan 24 21:49:16 2018
+++ new/usr/src/lib/fru/libnvfru/sparcv9/Makefile	Wed Jan 24 21:49:16 2018
@@ -0,0 +1,30 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include		../Makefile.com
+include		$(SRC)/lib/Makefile.lib.64
+
+install:	all $(ROOTLIBS64) $(ROOTLINKS64)
--- old/usr/src/lib/libfru/Makefile	Wed Jan 24 21:49:16 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,79 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# lib/libfru/Makefile
-#
-
-include	$(SRC)/lib/Makefile.lib
-
-SUBDIRS_i386 = libfrureg $(MACH)
-$(BUILD64)SUBDIRS_i386 += $(MACH64)
-SUBDIRS_sparc = libfrureg $(MACH)
-$(BUILD64)SUBDIRS_sparc += $(MACH64)
-SUBDIRS_i386 += .WAIT libnvfru libfruraw conf
-SUBDIRS_sparc += .WAIT libfrupicl libfrupicltree libnvfru libfruraw
-
-SUBDIRS = $(SUBDIRS_$(MACH))
-
-
-
-# conditional assignments
-all :=      	TARGET= all
-install :=      TARGET= install
-clean :=        TARGET= clean
-clobber :=      TARGET= clobber
-lint :=         TARGET= lint
-_msg :=         TARGET= _msg
-
-POFILE=		libfru.po
-
-.KEEP_STATE:
-
-all install clean clobber lint: $(SUBDIRS)
-
-_msg:	$(MSGDOMAIN) $(POFILE)
-	$(RM) $(MSGDOMAIN)/$(POFILE)
-	$(CP) $(POFILE) $(MSGDOMAIN)
-
-$(POFILE):
-	$(RM) $@ messages.po
-	$(XGETTEXT) $(XGETFLAGS) *.[ch]* */*.[ch]*
-	$(SED) -e '/^# msg/d' -e '/^domain/d' messages.po > $@
-	$(RM) messages.po
-
-$(MSGDOMAIN):
-	$(INS.dir)
-
-clobber:  po_clean
-
-po_clean:
-	$(RM) $(POFILE)
-
-$(SUBDIRS): FRC
-	@cd $@; pwd; $(MAKE) $(TARGET)
-
-install_h check: $(CHECKHDRS)
-	@cd libnvfru; pwd; $(MAKE) $@
-
-FRC:
--- old/usr/src/lib/libfru/Makefile.flag	Wed Jan 24 21:49:16 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,60 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# lib/libfru/Makefile.flag
-#
-
-LINTFLAGS =	-uxn
-LINTFLAGS64 =	$(LINTFLAGS) -m64
-LINTOUT=	lint.out
-LINTSRC =       $(LINTLIB:%.ln=%)
-ROOTLINTDIR =   $(ROOTLIBDIR)
-ROOTLINT =      $(LINTSRC:%=$(ROOTLINTDIR)/%)
-
-CPPFLAGS +=	-I../include -I$(SRC)/lib/libpicl
-CPPFLAGS +=	-I$(SRC)/lib/libfruutils
-CPPFLAGS +=	-I$(SRC)/cmd/picl/plugins/inc
-CPPFLAGS += 	-D_REENTRANT
-CFLAGS +=	$(CCVERBOSE)
-CCFLAGS64 += 	-mt
-CCFLAGS +=	-mt
-LDLIBS +=	-lc
-
-CLEANFILES +=	pics/lex.fru.cc pics/y.tab.cc pics/y.tab.h
-
-$(LINTLIB) :=	SRCS = ../llib-lfru
-$(LINTLIB) :=	LINTFLAGS = -nvx -I../include
-$(LINTLIB) :=	LINTFLAGS64 = -nvx -m64 -I../include
-
-CLOBBERFILES +=	$(DYNLIBCCC) libfru.so
-
-.KEEP_STATE:
-
-all : pics .WAIT $(DYNLIBCCC)
-	$(RM) libfru.so
-	$(LN) $(DYNLIBCCC) libfru.so
-	$(CHMOD) 755 libfru.so
-
-lint :
-	@ $(ECHO) "No C code here, only C++ code: skipping"
--- old/usr/src/lib/libfru/Makefile.obj	Wed Jan 24 21:49:16 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,67 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-
-#
-# define all the common stuff here for all the different platforms we are
-# building on.
-#
-
-LIBRARYCCC=	libfru.a
-VERS=		.1
-
-SED=		sed
-
-MAINOBJS=	Parser.o \
-		PayloadReader.o \
-		libfru.o \
-		Ancestor.o
-
-YACCOBJS=	nameSyntaxYacc.o
-LEXOBJS=	nameSyntaxLex.o
-
-GENUTOBJS=	Str.o
-
-OBJECTS=	$(MAINOBJS) \
-		$(YACCOBJS) \
-		$(LEXOBJS) \
-		$(GENUTOBJS)
-
-MAINSRCS=	$(MAINOBJS:%.o=./libfru/%.cc)
-YACCSRCS=	$(YACCOBJS:%.o=./libfru/%.y)
-LEXSRCS=	$(LEXOBJS:%.o=./libfru/%.l)
-GENUTSRCS=	$(GENUTOBJS:%.o=./libgenutil/%.cc)
-
-SRCS=		$(MAINSRCS) \
-		$(YACCSRCS) \
-		$(LEXSRCS) \
-		$(GENUTSRCS)
-
-# include common Makefiles
-include ../../Makefile.lib
-
-# There should be a mapfile here
-MAPFILES =
--- old/usr/src/lib/libfru/Makefile.targ	Wed Jan 24 21:49:16 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,60 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright (c) 2000 by Sun Microsystems, Inc.
-# All rights reserved.
-#
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
-# lib/libfru/Makefile.targ
-#
-
-include ../../Makefile.targ
-
-# build rules for pics.  (access sub directories)
-pics/%.o objs/%.o:	../libfru/%.cc
-	$(COMPILE.cc) -o $@ $<
-	$(POST_PROCESS_O)
-
-pics/%.o objs/%.o:	../libfrureg/%.cc
-	$(COMPILE.cc) -o $@ $<
-	$(POST_PROCESS_O)
-
-pics/%.o objs/%.o:	../libgenutil/%.cc
-	$(COMPILE.cc) -o $@ $<
-	$(POST_PROCESS_O)
-
-# some special rules for the yacc and lex parser.  (with sub directories)
-pics/y.tab.cc pics/y.tab.h: ../libfru/nameSyntaxYacc.y
-	$(YACC.y) -d ../libfru/nameSyntaxYacc.y
-	$(SED) -f ../libfru/yy-sed y.tab.c > pics/y.tab.cc
-	$(SED) -f ../libfru/yy-sed y.tab.h > pics/y.tab.h
-	$(RM) y.tab.c y.tab.h
-
-pics/nameSyntaxYacc.o: pics/y.tab.cc
-	$(COMPILE.cc) -I../libfru -Ipics -o $@ pics/y.tab.cc
-
-pics/nameSyntaxLex.o: ../libfru/nameSyntaxLex.l pics/y.tab.h
-	$(LEX.l) ../libfru/nameSyntaxLex.l | \
-		$(SED) -f ../libfru/yy-lsed > pics/lex.fru.cc
-	$(COMPILE.cc) -I../libfru -Ipics -o $@ pics/lex.fru.cc
-
--- old/usr/src/lib/libfru/conf/Makefile	Wed Jan 24 21:49:16 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,56 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-# include library definitions
-include $(SRC)/Makefile.psm
-include $(SRC)/lib/Makefile.lib
-
-CONF		= fru_container.conf
-ROOT_PICL_DIR	= $(ROOT)/usr/lib/picl
-ROOT_PLUGIN_DIR	= $(ROOT_PICL_DIR)/plugins
-ROOTCONF	= $(CONF:%=$(ROOT_PLUGIN_DIR)/%)
-
-$(ROOT_PICL_DIR) := DIRMODE = 0755
-$(ROOT_PLUGIN_DIR) := DIRMODE = 0755
-$(ROOTCONF)	:= FILEMODE = 0644
-
-.KEEP_STATE:
-
-all: $(CONF)
-
-install: all $(ROOTCONF)
-
-$(ROOT_PICL_DIR):
-	$(INS.dir)
-
-$(ROOT_PLUGIN_DIR): $(ROOT_PICL_DIR)
-	$(INS.dir)
-
-$(ROOT_PLUGIN_DIR)/%: % $(ROOT_PLUGIN_DIR)
-	$(INS.file)
-
-# include library targets
-include $(SRC)/lib/Makefile.targ
-
--- old/usr/src/lib/libfru/i386/Makefile	Wed Jan 24 21:49:16 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,41 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#
-
-include ../Makefile.obj
-include ../Makefile.flag
-LDLIBS += -L$(SRC)/lib/libfruutils/$(MACH) -lfruutils
-LDLIBS += -L$(SRC)/lib/libfru/libfrureg/$(MACH) -lfrureg
-
-# Redefine this such that libC is found.
-BUILDCCC.SO=	$(LINK.cc) $(DYNFLAGS) -o $@ -G  $(PICS) $(LDLIBS)
-
-install: all $(ROOTLIBDIR) $(ROOTLINKSCCC)
-
-$(ROOTLIBDIR):
-	$(INS.dir)
-
-include ../Makefile.targ
-
--- old/usr/src/lib/libfru/libfrupicl/Makefile	Wed Jan 24 21:49:16 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,68 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright (c) 2000 by Sun Microsystems, Inc.
-# All rights reserved.
-#
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
-
-include	$(SRC)/lib/Makefile.lib
-
-SUBDIRS = .WAIT $(MACH) $(BUILD64) $(MACH64)
-
-# conditional assignments
-all :=      	TARGET= all
-install :=      TARGET= install
-clean :=        TARGET= clean
-clobber :=      TARGET= clobber
-lint :=         TARGET= lint
-_msg :=         TARGET= _msg
-
-sparc_HDRS=
-sparcv9_HDRS=
-i386_HDRS=
-HDRS=	$($(MACH)_HDRS)
-ROOTHDRDIR=     $(ROOT)/usr/include
-ROOTHDRS=       $(HDRS:%=$(ROOTHDRDIR)/%)
-CHECKHDRS=      $(HDRS:%.h=%.check)
-
-.KEEP_STATE:
-
-all install clean clobber lint: $(SUBDIRS)
-
-_msg:	$(MACH) $(MACH64)
-
-
-$(ROOTHDRDIR)/%: %
-	$(INS.file)
-
-$(ROOTHDRDIR):
-	$(INS.dir)
-
-check: $(CHECKHDRS)
-
-$(MACH) $(MACH64): FRC
-	@cd $@; pwd; $(MAKE) $(TARGET)
-
-FRC:
-
--- old/usr/src/lib/libfru/libfrupicl/Makefile.com	Wed Jan 24 21:49:17 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,88 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-LIBRARY=	libfrupicl.a
-VERS=		.1
-
-OBJECTS=	frupicl.o
-
-# include library definitions
-include $(SRC)/lib/Makefile.lib
-
-CLOBBERFILES += $(LIBLINKS)
-
-LIBS =		$(DYNLIB)
-
-# There should be a mapfile here
-MAPFILES =
-
-LINTFLAGS =	-mnux
-LINTFLAGS64 =	$(LINTFLAGS) -m64
-LINTOUT=	lint.out
-LINTSRC =       $(LINTLIB:%.ln=%)
-ROOTLINTDIR =   $(ROOTLIBDIR)
-ROOTLINT =      $(LINTSRC:%=$(ROOTLINTDIR)/%)
-
-CLEANFILES=	$(LINTOUT)
-
-CPPFLAGS +=	-I.. \
-		-I$(SRC)/lib/libfru/include \
-		-I$(SRC)/cmd/picl/plugins/sun4u/frudata \
-		-I$(SRC)/lib/libpicl \
-		-I$(SRC)/lib/libfruutils \
-		-I$(SRC)/cmd/picl/plugins/inc
-CPPFLAGS += 	-D_REENTRANT
-CFLAGS +=	$(CCVERBOSE)
-
-$(LINTLIB) :=	LINTFLAGS = -nvx -I..
-$(LINTLIB) :=	LINTFLAGS64 = -nvx -m64 -I..
-
-XGETFLAGS += -a
-POFILE=	picl.po
-
-.KEEP_STATE:
-
-all : $(LIBS)
-	chmod 755 $(DYNLIB)
-
-lint :	lintcheck
-
-%.po:	../%.c
-	$(CP) $< $<.i
-	$(BUILD.po)
-
-_msg:	$(MSGDOMAIN) $(POFILE)
-	$(RM) $(MSGDOMAIN)/$(POFILE)
-	$(CP) $(POFILE) $(MSGDOMAIN)
-
-# include library targets
-include $(SRC)/lib/Makefile.targ
-
-pics/%.o:	../%.c
-	$(COMPILE.c) -o $@ $<
-	$(POST_PROCESS_O)
-
-$(ROOTLINTDIR)/%: ../%
-	$(INS.file)
--- old/usr/src/lib/libfru/libfrupicl/sparc/Makefile	Wed Jan 24 21:49:17 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,47 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2000-2002 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-
-include ../Makefile.com
-
-LDLIBS += -L$(SRC)/lib/libfruutils/$(MACH) -lfruutils
-LDLIBS += -L$(SRC)/lib/libfru/$(MACH) -lfru
-LDLIBS += -lc -lpicl
-
-.KEEP_STATE:
-
-all: $(ROOTLIBDIR) $(LIBS) $(LIBLINKS)
-
-$(LIBLINKS):    FRC
-	$(RM) $@; $(SYMLINK) $(DYNLIB) $@
-
-$(ROOTLIBDIR):
-	$(INS.dir)
-
-install: all $(ROOTLIBS) $(ROOTLINKS)
-
-FRC:
--- old/usr/src/lib/libfru/libfrupicl/sparcv9/Makefile	Wed Jan 24 21:49:17 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,48 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2000-2002 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-
-include ../Makefile.com
-include $(SRC)/lib/Makefile.lib.64
-
-LDLIBS += -L$(SRC)/lib/libfruutils/$(MACH64) -lfruutils
-LDLIBS += -L$(SRC)/lib/libfru/$(MACH64) -lfru
-LDLIBS += -lc -lpicl
-
-.KEEP_STATE:
-
-all: $(ROOTLIBDIR64) $(LIBS) $(LIBLINKS)
-
-$(LIBLINKS):    FRC
-	$(RM) $@; $(SYMLINK) $(DYNLIB) $@
-
-$(ROOTLIBDIR64):
-	$(INS.dir)
-
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
-
-FRC:
--- old/usr/src/lib/libfru/libfrupicltree/Makefile	Wed Jan 24 21:49:17 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,69 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright (c) 2000-2001 by Sun Microsystems, Inc.
-# All rights reserved.
-#
-# lib/libfru/libfrupicltree/Makefile
-#
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
-
-include	$(SRC)/lib/Makefile.lib
-
-SUBDIRS = .WAIT $(MACH)
-
-all :=      	TARGET= all
-install :=      TARGET= install
-clean :=        TARGET= clean
-clobber :=      TARGET= clobber
-lint :=         TARGET= lint
-_msg :=         TARGET= _msg
-
-sparc_HDRS=
-sparcv9_HDRS=
-i386_HDRS=
-HDRS=	$($(MACH)_HDRS)
-ROOTHDRDIR=     $(ROOT)/usr/include
-ROOTHDRS=       $(HDRS:%=$(ROOTHDRDIR)/%)
-CHECKHDRS=      $(HDRS:%.h=%.check)
-
-.KEEP_STATE:
-
-all install clean clobber lint: $(SUBDIRS)
-
-_msg:	$(MACH) $(MACH64)
-
-
-$(ROOTHDRDIR)/%: %
-	$(INS.file)
-
-$(ROOTHDRDIR):
-	$(INS.dir)
-
-check: $(CHECKHDRS)
-
-$(MACH) $(MACH64): FRC
-	@cd $@; pwd; $(MAKE) $(TARGET)
-
-FRC:
-
--- old/usr/src/lib/libfru/libfrupicltree/Makefile.com	Wed Jan 24 21:49:17 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,86 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-LIBRARY=	libfrupicltree.a
-VERS=		.1
-
-OBJECTS=	frupicltree.o
-
-include $(SRC)/lib/Makefile.lib
-
-CLOBBERFILES += $(LIBLINKS)
-
-LIBS =		$(DYNLIB)
-
-# There should be a mapfile here
-MAPFILES =
-
-LINTFLAGS =	-mnux
-LINTFLAGS64 =	$(LINTFLAGS) -m64
-LINTOUT=	lint.out
-LINTSRC =       $(LINTLIB:%.ln=%)
-ROOTLINTDIR =   $(ROOTLIBDIR)
-ROOTLINT =      $(LINTSRC:%=$(ROOTLINTDIR)/%)
-
-CLEANFILES=	$(LINTOUT)
-
-CPPFLAGS +=	-I.. \
-		-I$(SRC)/lib/libfru/include \
-		-I$(SRC)/cmd/picl/plugins/sun4u/frudata \
-		-I$(SRC)/lib/libpicl \
-		-I$(SRC)/lib/libfruutils \
-		-I$(SRC)/cmd/picl/plugins/inc
-CPPFLAGS += 	-D_REENTRANT
-CFLAGS +=	$(CCVERBOSE)
-
-$(LINTLIB) :=	LINTFLAGS = -nvx -I..
-$(LINTLIB) :=	LINTFLAGS64 = -nvx -m64 -I..
-
-XGETFLAGS += -a
-POFILE=	picl.po
-
-.KEEP_STATE:
-
-all : $(LIBS)
-	chmod 755 $(DYNLIB)
-
-lint :	lintcheck
-
-%.po:	../%.c
-	$(CP) $< $<.i
-	$(BUILD.po)
-
-_msg:	$(MSGDOMAIN) $(POFILE)
-	$(RM) $(MSGDOMAIN)/$(POFILE)
-	$(CP) $(POFILE) $(MSGDOMAIN)
-
-include $(SRC)/lib/Makefile.targ
-
-pics/%.o:	../%.c
-	$(COMPILE.c) -o $@ $<
-	$(POST_PROCESS_O)
-
-$(ROOTLINTDIR)/%: ../%
-	$(INS.file)
--- old/usr/src/lib/libfru/libfruraw/Makefile	Wed Jan 24 21:49:17 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,66 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#
-
-include	$(SRC)/lib/Makefile.lib
-
-SUBDIRS = .WAIT $(MACH) $(BUILD64) $(MACH64)
-
-# conditional assignments
-all :=      	TARGET= all
-install :=      TARGET= install
-clean :=        TARGET= clean
-clobber :=      TARGET= clobber
-lint :=         TARGET= lint
-_msg :=         TARGET= _msg
-
-sparc_HDRS=
-sparcv9_HDRS=
-i386_HDRS=
-HDRS=	$($(MACH)_HDRS)
-ROOTHDRDIR=     $(ROOT)/usr/include
-ROOTHDRS=       $(HDRS:%=$(ROOTHDRDIR)/%)
-CHECKHDRS=      $(HDRS:%.h=%.check)
-
-.KEEP_STATE:
-
-all install clean clobber lint: $(SUBDIRS)
-
-_msg:	$(MACH) $(MACH64)
-
-
-$(ROOTHDRDIR)/%: %
-	$(INS.file)
-
-$(ROOTHDRDIR):
-	$(INS.dir)
-
-check: $(CHECKHDRS)
-
-$(MACH) $(MACH64): FRC
-	@cd $@; pwd; $(MAKE) $(TARGET)
-
-FRC:
-
--- old/usr/src/lib/libfru/libfruraw/Makefile.com	Wed Jan 24 21:49:17 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,86 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-LIBRARY=	libfruraw.a
-VERS=		.1
-
-OBJECTS=	fruraw.o raw_access.o crcmodel.o crcutils.o
-
-# include library definitions
-include $(SRC)/lib/Makefile.lib
-
-CLOBBERFILES += $(LIBLINKS)
-
-LIBS =		$(DYNLIB)
-
-MAPFILES =
-
-LINTFLAGS =	-uxn
-LINTFLAGS64 =	$(LINTFLAGS) -m64
-LINTOUT=	lint.out
-LINTSRC =       $(LINTLIB:%.ln=%)
-ROOTLINTDIR =   $(ROOTLIBDIR)
-ROOTLINT =      $(LINTSRC:%=$(ROOTLINTDIR)/%)
-
-CLEANFILES=	$(LINTOUT)
-
-CPPFLAGS +=	-I.. \
-		-I$(SRC)/lib/libfru/include \
-		-I$(SRC)/lib/libfruutils
-CPPFLAGS += 	-D_REENTRANT
-CFLAGS +=	$(CCVERBOSE)
-
-CERRWARN +=	-_gcc=-Wno-uninitialized
-
-$(LINTLIB) :=	LINTFLAGS = -nvx -I..
-$(LINTLIB) :=	LINTFLAGS64 = -nvx -m64 -I..
-
-XGETFLAGS += -a
-POFILE=	picl.po
-
-.KEEP_STATE:
-
-all : $(LIBS)
-	chmod 755 $(DYNLIB)
-
-lint :	lintcheck
-
-%.po:	../%.c
-	$(CP) $< $<.i
-	$(BUILD.po)
-
-_msg:	$(MSGDOMAIN) $(POFILE)
-	$(RM) $(MSGDOMAIN)/$(POFILE)
-	$(CP) $(POFILE) $(MSGDOMAIN)
-
-# include library targets
-include $(SRC)/lib/Makefile.targ
-
-pics/%.o:	../%.c
-	$(COMPILE.c) -o $@ $<
-	$(POST_PROCESS_O)
-
-$(ROOTLINTDIR)/%: ../%
-	$(INS.file)
--- old/usr/src/lib/libfru/libfruraw/amd64/Makefile	Wed Jan 24 21:49:17 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,46 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#
-
-include ../Makefile.com
-include $(SRC)/lib/Makefile.lib.64
-
-LDLIBS +=	-L$(SRC)/lib/libfruutils/$(MACH64)
-LDLIBS +=	-L$(SRC)/lib/libfru/$(MACH64)
-LDLIBS +=	-lc -lfru -lfruutils
-
-.KEEP_STATE:
-
-all: $(ROOTLIBDIR64) $(LIBS) $(LIBLINKS)
-
-$(LIBLINKS):    FRC
-	$(RM) $@; $(SYMLINK) $(DYNLIB) $@
-
-$(ROOTLIBDIR64):
-	$(INS.dir)
-
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
-
-FRC:
--- old/usr/src/lib/libfru/libfrureg/Makefile	Wed Jan 24 21:49:17 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,68 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright (c) 2000-2001 by Sun Microsystems, Inc.
-# All rights reserved.
-#
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
-
-include	$(SRC)/lib/Makefile.lib
-
-SUBDIRS = .WAIT $(MACH) $(BUILD64) $(MACH64)
-
-# conditional assignments
-all :=      	TARGET= all
-install :=      TARGET= install
-clean :=        TARGET= clean
-clobber :=      TARGET= clobber
-lint :=         TARGET= lint
-_msg :=         TARGET= _msg
-
-sparc_HDRS=
-sparcv9_HDRS=
-i386_HDRS=
-HDRS=	$($(MACH)_HDRS)
-ROOTHDRDIR=     $(ROOT)/usr/include
-ROOTHDRS=       $(HDRS:%=$(ROOTHDRDIR)/%)
-CHECKHDRS=      $(HDRS:%.h=%.check)
-
-.KEEP_STATE:
-
-all install clean clobber lint: $(SUBDIRS)
-
-_msg:	$(MACH) $(MACH64)
-
-
-$(ROOTHDRDIR)/%: %
-	$(INS.file)
-
-$(ROOTHDRDIR):
-	$(INS.dir)
-
-check: $(CHECKHDRS)
-
-$(MACH) $(MACH64): FRC
-	@cd $@; pwd; $(MAKE) $(TARGET)
-
-FRC:
-
--- old/usr/src/lib/libfru/libfrureg/Makefile.com	Wed Jan 24 21:49:18 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,90 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-LIBRARY=	libfrureg.a
-VERS=		.1
-
-OBJECTS=	frureg.o
-
-# include library definitions
-include $(SRC)/lib/Makefile.lib
-
-CLOBBERFILES += $(LIBLINKS)
-
-LIBS =		$(DYNLIB)
-
-# There should be a mapfile here
-MAPFILES =
-
-LINTFLAGS =	-uxn
-LINTFLAGS64 =	$(LINTFLAGS) -m64
-LINTOUT=	lint.out
-LINTSRC =       $(LINTLIB:%.ln=%)
-ROOTLINTDIR =   $(ROOTLIBDIR)
-ROOTLINT =      $(LINTSRC:%=$(ROOTLINTDIR)/%)
-
-CLEANFILES=	$(LINTOUT)
-
-CPPFLAGS +=	-I.. \
-		-I$(SRC)/lib/libfru/include \
-		-I$(SRC)/cmd/picl/plugins/sun4u/frudata \
-		-I$(SRC)/lib/libpicl \
-		-I$(SRC)/lib/libfruutils \
-		-I$(SRC)/cmd/picl/plugins/inc
-CPPFLAGS += 	-D_REENTRANT
-CFLAGS +=	$(CCVERBOSE)
-
-CERRWARN +=	-_gcc=-Wno-unused-variable
-
-$(LINTLIB) :=	LINTFLAGS = -nvx -I..
-$(LINTLIB) :=	LINTFLAGS64 = -nvx -m64 -I..
-
-XGETFLAGS += -a
-POFILE=	picl.po
-
-.KEEP_STATE:
-
-all : $(LIBS)
-	chmod 755 $(DYNLIB)
-
-lint :	lintcheck
-
-%.po:	../%.c
-	$(CP) $< $<.i
-	$(BUILD.po)
-
-_msg:	$(MSGDOMAIN) $(POFILE)
-	$(RM) $(MSGDOMAIN)/$(POFILE)
-	$(CP) $(POFILE) $(MSGDOMAIN)
-
-# include library targets
-include $(SRC)/lib/Makefile.targ
-
-pics/%.o:	../%.c
-	$(COMPILE.c) -o $@ $<
-	$(POST_PROCESS_O)
-
-$(ROOTLINTDIR)/%: ../%
-	$(INS.file)
--- old/usr/src/lib/libfru/libfrureg/amd64/Makefile	Wed Jan 24 21:49:18 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,46 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#
-
-include ../Makefile.com
-include $(SRC)/lib/Makefile.lib.64
-
-LDLIBS +=	-L$(SRC)/lib/libfruutils/$(MACH64)
-LDLIBS +=	-L$(SRC)/lib/libfru/$(MACH64)
-LDLIBS +=	-lc -lfruutils
-
-.KEEP_STATE:
-
-all: $(ROOTLIBDIR64) $(LIBS) $(LIBLINKS)
-
-$(LIBLINKS):    FRC
-	$(RM) $@; $(SYMLINK) $(DYNLIB) $@
-
-$(ROOTLIBDIR64):
-	$(INS.dir)
-
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
-
-FRC:
--- old/usr/src/lib/libfru/libfrureg/sparcv9/Makefile	Wed Jan 24 21:49:18 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,50 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright (c) 2000-2001 by Sun Microsystems, Inc.
-# All rights reserved.
-#
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
-# lib/libfru/libfrureg/sparcv9/Makefile
-#
-
-include ../Makefile.com
-include $(SRC)/lib/Makefile.lib.64
-
-LDLIBS +=	-L$(SRC)/lib/libfruutils/$(MACH64)
-LDLIBS +=	-L$(SRC)/lib/libfru/$(MACH64)
-LDLIBS +=	-lc -lfruutils
-
-.KEEP_STATE:
-
-all: $(ROOTLIBDIR64) $(LIBS) $(LIBLINKS)
-
-$(LIBLINKS):    FRC
-	$(RM) $@; $(SYMLINK) $(DYNLIB) $@
-
-$(ROOTLIBDIR64):
-	$(INS.dir)
-
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
-
-FRC:
--- old/usr/src/lib/libfru/libnvfru/Makefile.com	Wed Jan 24 21:49:18 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,74 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-LIBRARY=	libnvfru.a
-VERS=		.1
-
-OBJECTS=	nvfru.o
-
-# include library definitions
-include $(SRC)/lib/Makefile.lib
-
-CLOBBERFILES += $(LIBLINKS)
-
-LIBS =		$(DYNLIB)
-
-LINTFLAGS =	-uxn
-LINTFLAGS64 =	$(LINTFLAGS) -m64
-LINTOUT=	lint.out
-LINTSRC =       $(LINTLIB:%.ln=%)
-ROOTLINTDIR =   $(ROOTLIBDIR)
-ROOTLINT =      $(LINTSRC:%=$(ROOTLINTDIR)/%)
-
-CLEANFILES=	$(LINTOUT)
-
-CPPFLAGS +=	-I.. \
-		-I$(SRC)/lib/libfru/include \
-		-I$(SRC)/lib/libfruutils
-CPPFLAGS += 	-D_REENTRANT
-CFLAGS +=	$(CCVERBOSE)
-
-CERRWARN +=	-_gcc=-Wno-switch
-
-$(LINTLIB) :=	LINTFLAGS = -nvx -I..
-$(LINTLIB) :=	LINTFLAGS64 = -nvx -m64 -I..
-
-XGETFLAGS += -a
-
-.KEEP_STATE:
-
-all : $(LIBS)
-
-lint :	lintcheck
-
-# include library targets
-include $(SRC)/lib/Makefile.targ
-
-pics/%.o:	../%.c
-	$(COMPILE.c) -o $@ $<
-	$(POST_PROCESS_O)
-
-$(ROOTLINTDIR)/%: ../%
-	$(INS.file)
--- old/usr/src/lib/libfru/libnvfru/amd64/Makefile	Wed Jan 24 21:49:18 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,47 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#
-
-include ../Makefile.com
-include $(SRC)/lib/Makefile.lib.64
-
-LDLIBS +=	-L$(SRC)/lib/libfruutils/$(MACH64)
-LDLIBS +=	-L$(SRC)/lib/libfru/libfrureg/$(MACH64)
-LDLIBS +=	-L$(SRC)/lib/libfru/$(MACH64)
-LDLIBS +=	-lc -lfru -lfruutils -lfrureg -lnvpair
-
-.KEEP_STATE:
-
-all: $(ROOTLIBDIR64) $(LIBS) $(LIBLINKS)
-
-$(LIBLINKS):    FRC
-	$(RM) $@; $(SYMLINK) $(DYNLIB) $@
-
-$(ROOTLIBDIR64):
-	$(INS.dir)
-
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
-
-FRC:
--- old/usr/src/lib/libfru/libnvfru/i386/Makefile	Wed Jan 24 21:49:18 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,46 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#
-
-include ../Makefile.com
-
-LDLIBS +=	-L$(SRC)/lib/libfruutils/$(MACH)
-LDLIBS +=	-L$(SRC)/lib/libfru/libfrureg/$(MACH)
-LDLIBS +=	-L$(SRC)/lib/libfru/$(MACH)
-LDLIBS +=	-lc -lfru -lfruutils -lfrureg -lnvpair
-
-.KEEP_STATE:
-
-all: $(ROOTLIBDIR) $(LIBS) $(LIBLINKS)
-
-$(LIBLINKS):    FRC
-	$(RM) $@; $(SYMLINK) $(DYNLIB) $@
-
-$(ROOTLIBDIR):
-	$(INS.dir)
-
-install: all $(ROOTLIBS) $(ROOTLINKS)
-
-FRC:
--- old/usr/src/lib/libfru/libnvfru/sparc/Makefile	Wed Jan 24 21:49:18 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,46 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#
-
-include ../Makefile.com
-
-LDLIBS +=	-L$(SRC)/lib/libfruutils/$(MACH)
-LDLIBS +=	-L$(SRC)/lib/libfru/libfrureg/$(MACH)
-LDLIBS +=	-L$(SRC)/lib/libfru/$(MACH)
-LDLIBS +=	-lc -lfru -lfruutils -lfrureg -lnvpair
-
-.KEEP_STATE:
-
-all: $(ROOTLIBDIR) $(LIBS) $(LIBLINKS)
-
-$(LIBLINKS):    FRC
-	$(RM) $@; $(SYMLINK) $(DYNLIB) $@
-
-$(ROOTLIBDIR):
-	$(INS.dir)
-
-install: all $(ROOTLIBS) $(ROOTLINKS)
-
-FRC:
--- old/usr/src/lib/libfru/libnvfru/sparcv9/Makefile	Wed Jan 24 21:49:18 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,47 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#
-
-include ../Makefile.com
-include $(SRC)/lib/Makefile.lib.64
-
-LDLIBS +=	-L$(SRC)/lib/libfruutils/$(MACH64)
-LDLIBS +=	-L$(SRC)/lib/libfru/libfrureg/$(MACH64)
-LDLIBS +=	-L$(SRC)/lib/libfru/$(MACH64)
-LDLIBS +=	-lc -lfru -lfruutils -lfrureg -lnvpair
-
-.KEEP_STATE:
-
-all: $(ROOTLIBDIR64) $(LIBS) $(LIBLINKS)
-
-$(LIBLINKS):    FRC
-	$(RM) $@; $(SYMLINK) $(DYNLIB) $@
-
-$(ROOTLIBDIR64):
-	$(INS.dir)
-
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
-
-FRC:
--- old/usr/src/lib/libfruutils/Makefile	Wed Jan 24 21:49:18 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,71 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright (c) 2000 by Sun Microsystems, Inc.
-# All rights reserved.
-#
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
-# lib/libfruutils/Makefile
-#
-
-# include library definitions
-include $(SRC)/lib/Makefile.lib
-
-SUBDIRS= $(MACH) $(BUILD64) $(MACH64)
-
-# conditional assignments
-all :=		TARGET= all
-install :=	TARGET= install
-clean :=	TARGET= clean
-clobber :=	TARGET= clobber
-lint :=		TARGET= lint
-_msg :=		TARGET= _msg
-
-POFILE=		libfruutils.po
-
-.KEEP_STATE:
-
-all install clean clobber lint: $(SUBDIRS)
-
-_msg:	$(MSGDOMAIN) $(POFILE)
-	$(RM) $(MSGDOMAIN)/$(POFILE)
-	$(CP) $(POFILE) $(MSGDOMAIN)
-
-$(POFILE):
-	$(RM) $@ messages.po
-	$(XGETTEXT) $(XGETFLAGS) */*.[ch]*
-	$(SED) -e '/^# msg/d' -e '/^domain/d' messages.po > $@
-	$(RM) messages.po
-
-$(MSGDOMAIN):
-	$(INS.dir)
-
-clobber:  po_clean
-
-po_clean:
-	$(RM) $(POFILE)
-
-$(MACH) $(MACH64): FRC
-	@cd $@; pwd; $(MAKE) $(TARGET)
-
-FRC:
--- old/usr/src/lib/libfruutils/Makefile.com	Wed Jan 24 21:49:19 2018
+++ /dev/null	Wed Jan 24 21:49:16 2018
@@ -1,75 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-LIBRARY=	libfruutils.a
-VERS=		.1
-
-OBJECTS=	fru_tag.o
-
-# include library definitions
-include $(SRC)/lib/Makefile.lib
-
-CLOBBERFILES += $(LIBLINKS)
-
-LIBS =		$(DYNLIB)
-
-# There should be a mapfile here
-MAPFILES =
-
-LINTFLAGS =	-uxn
-LINTFLAGS64 =	$(LINTFLAGS) -m64
-LINTOUT=	lint.out
-LINTSRC =       $(LINTLIB:%.ln=%)
-ROOTLINTDIR =   $(ROOTLIBDIR)
-ROOTLINT =      $(LINTSRC:%=$(ROOTLINTDIR)/%)
-
-CLEANFILES=	$(LINTOUT)
-
-CPPFLAGS +=	-I.. -D_REENTRANT
-CFLAGS +=	$(CCVERBOSE)
-
-CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
-
-$(LINTLIB) :=	LINTFLAGS = -nvx
-$(LINTLIB) :=	LINTFLAGS64 = -nvx -m64
-
-.KEEP_STATE:
-
-all : $(LIBS)
-	$(CHMOD) 755 $(DYNLIB)
-
-lint :
-	$(LINT.c) $(SRCS)
-
-# include library targets
-include $(SRC)/lib/Makefile.targ
-
-pics/%.o:	../%.c
-	$(COMPILE.c) -o $@ $<
-	$(POST_PROCESS_O)
-
-$(ROOTLINTDIR)/%: ../%
-	$(INS.file)
--- old/usr/src/lib/scsi/plugins/ses/SUN/common/sun.c	Wed Jan 24 21:49:19 2018
+++ new/usr/src/lib/scsi/plugins/ses/SUN/common/sun.c	Wed Jan 24 21:49:19 2018
@@ -28,6 +28,7 @@
 #include <strings.h>
 #include <alloca.h>
 #include <libnvpair.h>
+#include <nvfru.h>
 
 #include <scsi/libses.h>
 #include <scsi/libses_plugin.h>
@@ -35,8 +36,6 @@
 #include <scsi/plugins/ses/vendor/sun.h>
 #include <scsi/plugins/ses/vendor/sun_impl.h>
 
-#include "../../../../../../lib/libfru/libnvfru/nvfru.h"
-
 int
 sun_fruid_parse_common(sun_fru_descr_impl_t *sfdip, nvlist_t *nvl)
 {
